##############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Baji, Laszlo
#   Balasko, Jeno
#   Pilisi, Gergely
#
##############################################################################
# Based on /etc/autotest/titan_builder_cfg.py

# DEBUG can not be changed here

FLEX := /usr/bin/flex
BISON := /usr/bin/bison

COMPILERFLAGS += -Wall -Wlogical-op -I/usr/lib/jvm/default-java/include -I/usr/include

ifeq ($(DEBUG), yes)
#COMPILERFLAGS += -fvar-tracking -O1
else
COMPILERFLAGS += -g
LDFLAGS += -fuse-ld=gold -ldl
endif

CC  := clang
CXX := clang++
CXXFLAGS += -std=c++11

OPENSSL_DIR := default

JDKDIR := /usr/lib/jvm/default-java


XMLDIR := default

AR := ar
